Adobe ExtendScript Toolkit

ExtendScript ToolKit

# Loads Class Reference

## Detailed Description

Loads and executes a basic external object, showing how to use the "direct" interface to an ExternalObject in a shared library written in C/C++

Loads and executes an external object, showing how to use the "indirect" (object-oriented) and "direct" interfaces to an ExternalObject, calling out to code in a shared library written in C/C++

a basic external object, showing how to use the "direct" interface to an ExternalObject in a shared library written in C/C++

Usage: Display the sample in the ExtendScript Toolkit. In the ExtendScript Toolkit run the sample. A dialog called 'loadExternalObject' will appear with a start button. Click the start button to trigger communication with the external object. The dialog window will display the communcation between the jsx file and external object. A new dialog window will appear with an OK button. Clicking this will close the connection with the external object. Click the close button to end the sample

Description: The script loads an external library by using the ExternalObject constructor. Once the library is loaded, a dialog window will appear. When the buttons is clicked, functions in the library are called and the results are displayed in the Dialog window.

an external object, showing how to use the "indirect" (object-oriented) and "direct" interfaces to an ExternalObject, calling out to code in a shared library written in C/C++

Usage: Load the JavaScript code in this file in the ExtendScript Toolkit. From ExtendScript Toolkit, run the sample. A dialog window will appear with two buttons 'Object Calls' and 'Direct Calls'. Click the 'Object Calls' button to demonstrate the LoadExternalObjectLib object calls. Inspect the text area for object calls for the output. Then choose the 'Direct Calls' button to demonstrate the direct calls. Inspect the text area for direct calls for the output. Description:

The script loads an external library by using the ExternalObject constructor. Once the library is loaded a dialog window appears with two buttons; 'Object Calls', 'Direct Calls'. These buttons exercise both the direct and indirect (object-oriented) interfaces to the external object. Once a button is invoked, the results are displayed in the corresponding text area on the dialog.

When the button relating to the object-oriented interface is invoked, several instances of the class named SampleLibObject are created. Each instance has methods which can be called and properties which can be updated. Each instance has a unique identifier which demonstrates each separate instance of the class SampleLibObject. With the indirect interface any number of classes can be created and each class can have any number of methods and properties.

An event handler is also created to unload the External Object when the dialog is closed.

The documentation for this class was generated from the following file:

- loadExternalObject.jsx

Copyright© 2008 Adobe Systems Incorporated. All rights reserved.

Terms of Use Online Privacy Policy Adobe and accessibility Avoid software piracy Permissions and Trademarks